type MoveState = {
    status: 'moving' | 'stopped';
    movementX: number;
    movementY: number;
    offsetX: number;
    offsetY: number;
};
type PointerLockMovementOption = {
    onLock?: (locked: boolean) => void;
    onPrepareLock?: (event: PointerEvent) => void;
    onCancelPrepareLock?: (event: PointerEvent) => void;
    onMove?: (event: PointerEvent, moveState: MoveState) => void;
    cursor?: string | HTMLElement | Partial<CSSStyleDeclaration>;
    screen?: DOMRect | HTMLElement | Partial<CSSStyleDeclaration>;
    zIndex?: number;
    loopBehavior?: 'loop' | 'stop' | 'infinite';
    trigger?: 'drag' | 'toggle';
    dragOffset?: number;
    disableOnActiveElement?: boolean;
};
declare function isSupportPointerLock(): boolean;
declare const pointerLockMovement: (element: Element, { loopBehavior, trigger, zIndex, ...customOption }?: PointerLockMovementOption) => () => void;

export { MoveState, PointerLockMovementOption, isSupportPointerLock, pointerLockMovement };
